ghc-lib-parser-ex-9.12.0.0: Programming with GHC parse trees

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhclibParserEx.GHC.Hs.ExtendInstances

# Documentation

newtype HsExtendInstances a Source #

Constructors

HsExtendInstances |

Fields

- unextendInstances :: a

#### Instances

Instances details

Outputable a => Show (HsExtendInstances a) Source # |
Instance details Defined in Language.Haskell.GhclibParserEx.GHC.Hs.ExtendInstances Methods showsPrec :: Int -> HsExtendInstances a -> ShowS Source # show :: HsExtendInstances a -> String Source # showList :: [HsExtendInstances a] -> ShowS Source #
Outputable a => Outputable (HsExtendInstances a) Source # |
Instance details Defined in Language.Haskell.GhclibParserEx.GHC.Hs.ExtendInstances Methods ppr :: HsExtendInstances a -> SDoc Source #
Data a => Eq (HsExtendInstances a) Source # |
Instance details Defined in Language.Haskell.GhclibParserEx.GHC.Hs.ExtendInstances Methods (==) :: HsExtendInstances a -> HsExtendInstances a -> Bool Source # (/=) :: HsExtendInstances a -> HsExtendInstances a -> Bool Source #
Data a => Ord (HsExtendInstances a) Source # |

Instance details

Defined in Language.Haskell.GhclibParserEx.GHC.Hs.ExtendInstances

Methods

compare :: HsExtendInstances a -> HsExtendInstances a -> Ordering Source #

(<) :: HsExtendInstances a -> HsExtendInstances a -> Bool Source #

(<=) :: HsExtendInstances a -> HsExtendInstances a -> Bool Source #

(>) :: HsExtendInstances a -> HsExtendInstances a -> Bool Source #

(>=) :: HsExtendInstances a -> HsExtendInstances a -> Bool Source #

max :: HsExtendInstances a -> HsExtendInstances a -> HsExtendInstances a Source #

min :: HsExtendInstances a -> HsExtendInstances a -> HsExtendInstances a Source #

extendInstances :: a -> HsExtendInstances a Source #

astEq :: Data a => a -> a -> Bool Source #

astListEq :: Data a => [a] -> [a] -> Bool Source #